升级过程与安装过程没有显著差异。将会自动填充您配置的值和设置。您可以验证这些设置,然后在安装程序中选择“下一步”。

重要:

VMware Identity Manager 19.03.0.0 开始,VMware Identity Manager 服务不再包含嵌入式连接器,并且弃用了基于 Linux 的外部连接器。新版本的基于 Linux 的外部连接器不再可用。

如果从使用嵌入式连接器的部署中升级,您必须切换到基于 Windows 的外部连接器。如果使用基于 Linux 的外部连接器,最佳做法是在该升级期间切换到基于 Windows 的外部连接器。否则,您无法使用在更新的连接器中提供的最新功能。如果使用基于 Windows 的外部连接器,您可以继续使用现有的实例,但最佳做法是升级基于 Windows 的外部连接器实例以允许使用最新的功能。

VMware Identity Manager 19.03.0.0 Windows 连接器 不支持 VMware ThinApp® 软件包。如果您的部署可以访问要维护的 ThinApp 软件包,请不要升级到 VMware Identity Manager 19.03.0.0 Windows 连接器

您可以使用迁移包将嵌入式连接器或基于 Linux 的外部连接器信息迁移到基于 Windows 的外部连接器。

在嵌入式连接器或基于 Linux 的外部连接器上运行迁移包时,将禁用密码身份验证方法以外的所有身份验证方法。这种禁用允许更新配置设置,如连接器 IP 地址。在安装相应的基于 Windows 的连接器实例后,您必须使用正确的配置设置重新启用禁用的身份验证方法。

支持的升级途径

您可以执行从 3.2.0.1 或 3.3 版本直接升级到 19.03.0.0 版本的过程。

要从 3.2.0.1 之前的 VMware Identity Manager 版本升级,您必须先升级到 3.2.0.1 版本,然后从 3.2.0.1 升级到 19.03.0.0。如有必要,请升级到允许的版本,然后升级到 3.2.0.1。请参阅将适用于 Windows 的 VMware Identity Manager 迁移到 3.2.0.1

Workspace ONE UEM 的兼容性

VMware 产品互操作性列表提供了有关当前和以前版本的 VMware 产品和组件(如 VMware Workspace ONE UEM 控制台)的兼容性的详细信息。

必备步骤

在开始升级之前,请确保完成以下步骤。

  • 在升级到最新版本之前,请拍摄数据库和 VMware Identity Manager 节点的快照。

  • 如果在 Microsoft SQL 数据库上撤消了 db_owner 角色,您必须在执行升级之前重新添加该角色,否则,升级将失败。请参阅在升级之前添加 db_owner 角色

  • 要升级配有 SQL Server 可用性组的 VMware Identity Manager 服务器,您必须在升级该服务器之前禁用可用性组。在升级后,您必须重新启用可用性组。请参阅在升级之前禁用 SQL Server AlwayOn 可用性组

  • 如果要升级的 VMware Identity Manager 部署同时使用嵌入式连接器和基于证书的身份验证,请记下在嵌入式连接器中配置的 CertificateAuthAdapter 组件的设置。

    注:

    由于嵌入式连接器不再可用,在嵌入式连接器中配置的 CertificateAuthAdapter 组件也不再可用。证书(云部署)身份验证方法将替代 CertificateAuthAdapter 组件。迁移过程处理从 CertificateAuthAdapter 组件转换到证书(云部署)身份验证方法的过程。

    现在,在迁移之前,请记下 CertificateAuthAdapter 组件中的设置,因此,在迁移后,您可以验证迁移前的设置与迁移后的设置是否匹配。

    1. 登录到 VMware Identity Manager 管理控制台,然后选择身份和访问管理 > 设置

    2. 在“连接器”页面上,选择要替换的嵌入式连接器实例的“工作线程”链接。

    3. 单击身份验证适配器,然后单击 CertificateAuthAdapter

    4. 记下“证书服务身份验证适配器”页面上的设置。

  • 如果在负载平衡环境中部署 VMware Identity Manager,请确认正确配置了该环境。

    如果使用 F5 负载平衡服务器,在升级到 VMware Identity Manager 19.03.0.0 时,请重新配置负载平衡器(如果需要)。重新配置 F5 负载平衡服务器的要求取决于从中升级的 VMware Identity Manager 版本。要升级 F5 负载平衡服务器,请参阅在升级之前验证 F5 负载平衡器配置

    VMware Identity Manager 版本

    所需的操作

    低于 3.3

    按照引用的说明重新配置 F5 负载平衡服务器。

    3.3 及更高版本

    无。如果 F5 负载平衡服务器在 VMware Identity Manager 3.3 或更高版本中正常工作,则已正确配置了负载平衡服务器。